Tech Docs: Important Information Regarding GlobalProtect App and iOS 12

Charissa Fleischer


tech docs

GlobalProtect app 5.0 for iOS is now available on the iTunes App Store, and is supported with iOS 10, 11, and 12. GlobalProtect app 4.1 is now renamed GlobalProtect Legacy and is superseded by GlobalProtect app 5.0. GlobalProtect Legacy will not be supported after Oct 15, 2018 and will be removed from the Apple App Store. Please refer to the Palo Alto Networks End-of-Life Policy for more details

NOTES:

  • We recommend that iOS 12 users uninstall GlobalProtect app 4.1.x before installing GlobalProtect app 5.0 on their iOS endpoints.
  • GlobalProtect app 5.0 introduces changes to MDM and client certificate deployment. See the GlobalProtect App New Features Guide for details.

Additional Resources:

As always, you can find our content on our Technical Documentation site.

Happy reading!
Your friendly Technical Documentation team

Have questions? Contact us at documentation@paloaltonetworks.com.

 

6 Reader Comments

  1. GP v5 on iOS 12 does not recognize client certificate installed on the device therefore cannot connect. All of our users who upgraded to iOS 12 are unable to connect. Any help available?

  2. Thank you. We used to connect via a unique client certificate for the whole organization. We imported the certificate directly on the endpoint using an email-based installation. And then provide portal, user and pass info on the app.

    It seems as per your link that now we need to configure the GP portal to deploy the certificate as opposed to having the certificate installed on the endpoints. Am I correct?

  3. Charissa Fleischer

    Yes, that is correct.

  4. Any availability of the app in China? Not seeing this application in the App Store.

  5. Charissa Fleischer

    We are aware that GlobalProtect App 5.0 is not yet available in the China Apple App Store. We are working with Apple to correct the situation as quickly as possible, although at the time of this writing, we do not have an ETA on when it will be available. GlobalProtect customers with users in China should advise them to stay on iOS 11 at this time and use GlobalProtect App 4.1.x.

Got something to say?

Get updates: Unit 42

Sign up to receive the latest news, cyber threat intelligence and research from Unit42

By submitting this form, you agree to our Terms of Use and acknowledge our Privacy Statement.


© 2018 Palo Alto Networks, Inc. All rights reserved.